#if !defined(AFX_OVERFRAME_H__DBF18826_E380_460F_A301_A6B18750B8C2__INCLUDED_)
#define AFX_OVERFRAME_H__DBF18826_E380_460F_A301_A6B18750B8C2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// OverFrame.h : header file
//

#include "OverviewWindow.h"

/////////////////////////////////////////////////////////////////////////////
// COverFrame frame

class COverFrame : public CFrameWnd
{
//	DECLARE_DYNCREATE(COverFrame)
protected:
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;

// Attributes
public:
	COverFrame(ObjectManager *objman,CWnd *parent);           // protected constructor used by dynamic creation
	OverviewWindow  m_wndView;
	void SaveToReg();
	void LoadFromReg();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(COverFrame)
	public:
	virtual BOOL OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~COverFrame();

	// Generated message map functions
	//{{AFX_MSG(COverFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSetFocus(CWnd* pOldWnd);
	afx_msg void OnSizing(UINT fwSide, LPRECT pRect);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnClose();
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnPaint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OVERFRAME_H__DBF18826_E380_460F_A301_A6B18750B8C2__INCLUDED_)
